Opened 10 years ago

Closed 16 months ago

Last modified 11 months ago

#28925 closed defect (fixed)

libbswabe: needs a dynamic library

Reported by: ryandesign (Ryan Schmidt) Owned by: ryandesign (Ryan Schmidt)
Priority: Normal Milestone:
Component: ports Version: 1.9.2
Keywords: Cc:
Port: libbswabe

Description

libbswabe 0.9 installs only a header file and a static library. It should also install a dynamic library.

Change History (4)

comment:1 Changed 2 years ago by mf2k (Frank Schima)

Owner: jgilab@… deleted
Status: newassigned

See #58251.

comment:2 Changed 16 months ago by ryandesign (Ryan Schmidt)

Owner: set to ryandesign
Resolution: fixed
Status: assignedclosed

In ad587304cb98daa6850bace3d2809f0cfe8fa380/macports-ports (master):

libbswabe: Add missing deps and add dylib

Add missing dependencies on glib2, gmp and openssl.

Closes: #59176

Add dylib.

Closes: #28925

comment:3 Changed 13 months ago by ryandesign (Ryan Schmidt)

In 3349810d86aeb0462ad691ed1545b2e576e4e49f/macports-ports (master):

libbswabe: Include all prerequisites in dylib

Include all prerequisites in the dylib, not just the first prerequisite.

Closes: #60243
See: #28925

comment:4 Changed 11 months ago by ryandesign (Ryan Schmidt)

In ad587304cb98daa6850bace3d2809f0cfe8fa380/macports-ports (dar, master, py38-reproject, revert-6945-rust-1.43.0, wireshark):

libbswabe: Add missing deps and add dylib

Add missing dependencies on glib2, gmp and openssl.

Closes: #59176

Add dylib.

Closes: #28925

Note: See TracTickets for help on using tickets.